Index: timeline/src/test/java/geniusweb/deadline/DeadlineTest.java
===================================================================
--- timeline/src/test/java/geniusweb/deadline/DeadlineTest.java	(revision 25)
+++ timeline/src/test/java/geniusweb/deadline/DeadlineTest.java	(revision 26)
@@ -80,3 +80,8 @@
 	}
 
+	@Test
+	public void getRounds() {
+		assertEquals((Integer) 11, new DeadlineRounds(11, 20).getRounds());
+	}
+
 }
Index: timeline/src/test/java/geniusweb/progress/ProgressRoundsTest.java
===================================================================
--- timeline/src/test/java/geniusweb/progress/ProgressRoundsTest.java	(revision 25)
+++ timeline/src/test/java/geniusweb/progress/ProgressRoundsTest.java	(revision 26)
@@ -2,4 +2,6 @@
 
 import static org.junit.Assert.assertEquals;
+import static org.junit.Assert.assertFalse;
+import static org.junit.Assert.assertTrue;
 import static org.mockito.Mockito.mock;
 import static org.mockito.Mockito.when;
@@ -24,4 +26,6 @@
 public class ProgressRoundsTest extends GeneralTests<Progress> {
 	private DeadlineRounds deadline = mock(DeadlineRounds.class);
+	private final static Integer TESTROUNDS = 10;
+	private final static long TESTTIME = 10; // milliseconds!
 
 	private final Date date = new Date(999l);
@@ -34,7 +38,10 @@
 	private final Progress deadline5 = new ProgressTime(20l, date);
 	private ProgressRounds progress;
-	private final static Integer TESTROUNDS = 10;
 	private final ObjectMapper jackson = new ObjectMapper();
 	private final String progressstring = "{\"rounds\":{\"duration\":10,\"currentRound\":0,\"endtime\":999}}";
+
+	private final long start = 1234;
+	private final Date end = new Date(start + TESTTIME);
+	private final ProgressRounds pr = new ProgressRounds(TESTROUNDS, 4, end);
 
 	@Before
@@ -105,4 +112,5 @@
 	}
 
+	@SuppressWarnings("unused")
 	@Test(expected = IllegalArgumentException.class)
 	public void testIllegalArg1() {
@@ -110,4 +118,5 @@
 	}
 
+	@SuppressWarnings("unused")
 	@Test(expected = IllegalArgumentException.class)
 	public void testIllegalArg2() {
@@ -115,3 +124,37 @@
 	}
 
+	@Test
+	public void pastDeadline() {
+		assertFalse(pr.isPastDeadline(start));
+		assertTrue(pr.isPastDeadline(start + TESTTIME + 1));
+		assertFalse(pr.isPastDeadline(start + TESTTIME - 1));
+		assertTrue(new ProgressRounds(TESTROUNDS, TESTROUNDS, end)
+				.isPastDeadline(start + TESTTIME + 1));
+	}
+
+	@Test
+	public void terminationTime() {
+		assertEquals(start + TESTTIME, pr.getTerminationTime().getTime());
+	}
+
+	@Test
+	public void get() {
+		// time does not matter for rounds-based deadline
+		assertEquals((Double) 0.4d, pr.get(start));
+		assertEquals((Double) 0.4d, pr.get(start + TESTTIME + 1));
+		assertEquals((Double) 0.4d, pr.get(start + TESTTIME));
+		assertEquals((Double) 0.4d, pr.get(start + TESTTIME / 2));
+		assertEquals((Double) 0.4d, pr.get(start - 10));
+		assertEquals((Double) 0.4d, pr.get(start + TESTTIME + 10));
+
+		assertEquals((Double) 0.1d,
+				new ProgressRounds(TESTROUNDS, 1, end).get(start));
+		assertEquals((Double) 1d,
+				new ProgressRounds(TESTROUNDS, TESTROUNDS, end).get(start));
+	}
+
+	@Test
+	public void totalRounds() {
+		assertEquals((Integer) 10, pr.getTotalRounds());
+	}
 }
Index: timeline/src/test/java/geniusweb/progress/ProgressTimeTest.java
===================================================================
--- timeline/src/test/java/geniusweb/progress/ProgressTimeTest.java	(revision 25)
+++ timeline/src/test/java/geniusweb/progress/ProgressTimeTest.java	(revision 26)
@@ -2,4 +2,6 @@
 
 import static org.junit.Assert.assertEquals;
+import static org.junit.Assert.assertFalse;
+import static org.junit.Assert.assertTrue;
 
 import java.io.IOException;
@@ -16,6 +18,4 @@
 import com.fasterxml.jackson.databind.ObjectMapper;
 
-import geniusweb.progress.Progress;
-import geniusweb.progress.ProgressTime;
 import tudelft.utilities.junit.GeneralTests;
 
@@ -30,4 +30,7 @@
 	private final ObjectMapper jackson = new ObjectMapper();
 	private final String progressstring = "{\"time\":{\"duration\":10,\"start\":0}}";
+
+	private final long start = 1234;
+	private final ProgressTime pr = new ProgressTime(TESTTIME, new Date(start));
 
 	@Override
@@ -83,3 +86,25 @@
 	}
 
+	@Test
+	public void pastDeadline() {
+		assertTrue(pr.isPastDeadline(start + TESTTIME + 1));
+		assertFalse(pr.isPastDeadline(start + TESTTIME - 1));
+
+	}
+
+	@Test
+	public void terminationTime() {
+		assertEquals(start + TESTTIME, pr.getTerminationTime().getTime());
+	}
+
+	@Test
+	public void get() {
+		assertEquals((Double) 0d, pr.get(start));
+		assertEquals((Double) 1d, pr.get(start + TESTTIME));
+		assertEquals((Double) 0.5d, pr.get(start + TESTTIME / 2));
+		assertEquals((Double) 0d, pr.get(start - 10));
+		assertEquals((Double) 1d, pr.get(start + TESTTIME + 10));
+
+	}
+
 }
